Subject: Re: [PATCH 1] net: fix and typo's

From: Roel Kluin <[email-masked]>
Date: Fri, 26 Oct 2007 21:54:54 +0200

Kok, Auke wrote:

> Ack this e1000e change here!

> (PS since there was only 1 netdriver patch here and the rest is wireless, I would
> have suggested splitting this patch up in two and sending them to the wireless
> maintainer and netdevice maintainer separately. But I'm sure this will get picked
> up anyway.)

Ok, I've split the patch and sent the rest to wireless. Here's this single fix again
you acked.

--
        Fix priority mistakes similar to '!x & y'
    
        Signed-off-by: Roel Kluin <[email-masked]>
---
diff --git a/drivers/net/e1000e/82571.c b/drivers/net/e1000e/82571.c
index cf70522..14141a5 100644
--- a/drivers/net/e1000e/82571.c
+++ b/drivers/net/e1000e/82571.c
@@ -283,7 +283,7 @@ static s32 e1000_get_invariants_82571(struct e1000_adapter *adapter)
 			adapter->flags &= ~FLAG_HAS_WOL;
 		/* quad ports only support WoL on port A */
 		if (adapter->flags & FLAG_IS_QUAD_PORT &&
-		    (!adapter->flags & FLAG_IS_QUAD_PORT_A))
+		    (!(adapter->flags & FLAG_IS_QUAD_PORT_A)))
 			adapter->flags &= ~FLAG_HAS_WOL;
 		break;